Name:           regexp
Epoch:          1
Version:        1.5
Release:        %mkrel 39
Group:          Development/Java
Summary:        Simple regular expressions API
License:        ASL 2.0
URL:            http://jakarta.apache.org/%{name}/
BuildArch:      noarch

Source0:        http://archive.apache.org/dist/jakarta/%{name}/jakarta-%{name}-%{version}.tar.gz
Source2:        jakarta-%{name}-osgi-manifest.MF
Patch0:         jakarta-%{name}-attach-osgi-manifest.patch

BuildRequires:  ant
BuildRequires:  javapackages-local

Requires:       java-headless
Provides:       deprecated()

%description
Regexp is a 100% Pure Java Regular Expression package that was
graciously donated to the Apache Software Foundation by Jonathan Locke.
He originally wrote this software back in 1996 and it has stood up quite
well to the test of time.
It includes complete Javadoc documentation as well as a simple Applet
for visual debugging and testing suite for compatibility.

%package javadoc
Summary:        Javadoc for %{name}
Provides:       deprecated()

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n jakarta-%{name}-%{version}
%patch0
cp -p %{SOURCE2} MANIFEST.MF
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

cat > pom.xml << EOF
<project>
  <modelVersion>4.0.0</modelVersion>
  <groupId>jakarta-%{name}</groupId>
  <artifactId>jakarta-%{name}</artifactId>
  <version>%{version}</version>
</project>
EOF

%mvn_file : %{name}

%mvn_alias jakarta-%{name}:jakarta-%{name} %{name}:%{name}

%build
mkdir lib
%ant -Djakarta-site2.dir=. jar javadocs

%mvn_artifact pom.xml build/*.jar

%install
%mvn_install -J docs/api

%check
%ant -Djakarta-site2.dir=. test

%files -f .mfiles
%doc LICENSE

%files javadoc -f .mfiles-javadoc
%doc LICENSE


%changelog
* Mon Jul 25 2022 neoclust <neoclust> 1:1.5-39.mga9
+ Revision: 1871562
- Rebuild against java 17
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1:1.5-25.mga8
+ Revision: 1499499
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1:1.5-24.mga7
+ Revision: 1274875
- Mageia 7 Mass Rebuild

* Fri Apr 29 2016 daviddavid <daviddavid> 1:1.5-23.mga6
+ Revision: 1007697
- Install with XMVn and add minimal pom
- Add OSGi manifest
+ neoclust <neoclust>
- Second rebuild of the java stack

* Sat Feb 27 2016 neoclust <neoclust> 1:1.5-21.mga6
+ Revision: 979895
- First rebuild of the java stack
- sync package regexp with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Jan 14 2015 daviddavid <daviddavid> 0:1.5-4.mga5
+ Revision: 810614
- Sync with fc21

* Wed Oct 15 2014 umeabot <umeabot> 0:1.5-3.mga5
+ Revision: 743189
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0:1.5-2.mga5
+ Revision: 688646
- Mageia 5 Mass Rebuild

* Sun Jan 05 2014 dmorgan <dmorgan> 0:1.5-1.mga4
+ Revision: 564734
- Clean spec file
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Wed Sep 04 2013 luigiwalser <luigiwalser> 0:1.5-0.0.9.mga4
+ Revision: 474951
- rpm no longer allows listing a symlink to a directory as a dir in files

* Mon Jan 14 2013 umeabot <umeabot> 0:1.5-0.0.8.mga3
+ Revision: 380280
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 13 2012 pterjan <pterjan> 0:1.5-0.0.7.mga3
+ Revision: 281156
- Drop useless Requires(post,postun), there are no scriptlets on this package

* Sun Aug 21 2011 gil <gil> 0:1.5-0.0.6.mga3
+ Revision: 134698
- added maven2 pom

* Fri Jan 14 2011 ahmad <ahmad> 0:1.5-0.0.5.mga1
+ Revision: 17881
- imported package regexp


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0:1.5-0.0.5mdv2011.0
+ Revision: 607353
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0:1.5-0.0.4mdv2010.1
+ Revision: 523905
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0:1.5-0.0.3mdv2010.0
+ Revision: 426904
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0:1.5-0.0.2mdv2009.1
+ Revision: 351572
- rebuild

* Thu Aug 14 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.5-0.0.1mdv2009.0
+ Revision: 271808
- new version 1.5

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Anssi Hannula <anssi@mandriva.org> 0:1.4-3.0.3mdv2008.1
+ Revision: 121016
- buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 0:1.4-3.0.2mdv2008.0
+ Revision: 87349
- rebuild to filter out autorequires of GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

* Sun Aug 05 2007 David Walluck <walluck@mandriva.org> 0:1.4-3.0.1mdv2008.0
+ Revision: 59200
- sync with JPackage


* Wed Mar 14 2007 Christiaan Welvaart <cjw@daneel.dyndns.org>
+ 2007-03-14 17:48:02 (143747)
- rebuild for 2007.1
- Import regexp

* Tue Jul 25 2006 David Walluck <walluck@mandriva.org> 0:1.4-1.2mdv2007.0
- rebuild

* Sun Jun 04 2006 David Walluck <walluck@mandriva.org> 0:1.4-1.1mdv2007.0
- rebuild for libgcj.so.7
- aot-compile

* Sun May 08 2005 David Walluck <david@anti-microsoft.org> 0:1.3-2.1mdk
- release

* Thu Aug 26 2004 Fernando Nasser <fnasser@redhat.com> 0:1.3-2jpp
- Require Ant > 1.6
- Rebuild with Ant 1.6.2

